Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

Retrieves a screenshot image

Request

Security
Bearer
Path
imageNamestringrequired

name of the requested image

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/screenshots/{imageName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get Image was successful

Bodyapplication/json
object(File)
Response
application/json
{}

Gets screenshots

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/screenshots' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The screenshot files

Bodyapplication/jsonArray [
namestring or null

The name of the screenshot file

createdDateTimestring(date-time)

The date it was created

]
Response
application/json
[ { "name": "string", "createdDateTime": "2019-08-24T14:15:22Z" } ]

Exports screenshots

Request

Security
Bearer
Query
screenshotsArray of stringsrequired

The screenshot file names

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/screenshots/export?screenshots=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The screenshot files content

Bodyapplication/json
string(binary)
Response
application/json
"string"

Deletes the screenshot files

Request

Security
Bearer
BodyArray [
string
]
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/screenshots/batch-delete' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '[
    "string"
  ]'

Responses

The files were deleted

Response
No content

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations